> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Broadcast Recipients

> Get recipients for a specific broadcast.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/broadcasts/{broadcast_id}/recipients
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/broadcasts/{broadcast_id}/recipients:
    get:
      tags:
        - Orgs Broadcasts
      summary: Get Broadcast Recipients
      description: Get recipients for a specific broadcast.
      parameters:
        - schema:
            type: string
          required: true
          description: Org ID
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: Broadcast ID
          name: broadcast_id
          in: path
        - schema:
            $ref: '#/components/schemas/BroadcastRecipientsStatusSchema'
          required: false
          description: The status of the broadcast recipients
          name: status
          in: query
        - schema:
            type: boolean
          required: false
          name: is_skipped
          in: query
        - schema:
            type: boolean
          required: false
          name: is_failed
          in: query
        - schema:
            type: boolean
          required: false
          name: is_bounced
          in: query
        - schema:
            type: boolean
          required: false
          name: is_sent
          in: query
        - schema:
            type: boolean
          required: false
          name: is_delivered
          in: query
        - schema:
            type: boolean
          required: false
          name: is_complained
          in: query
        - schema:
            type: boolean
          required: false
          name: is_unsubscribed
          in: query
        - schema:
            type: boolean
          required: false
          name: is_opened
          in: query
        - schema:
            type: boolean
          required: false
          name: is_played
          in: query
        - schema:
            type: string
          required: false
          name: integration_id
          in: query
        - schema:
            type: string
          required: false
          name: contact_id
          in: query
        - schema:
            type: string
          required: false
          name: user_id
          in: query
        - schema:
            type: string
          required: false
          name: username
          in: query
        - schema:
            type: string
          required: false
          name: email
          in: query
        - schema:
            type: string
          required: false
          name: search
          in: query
        - schema:
            $ref: '#/components/schemas/QueryBroadcastRecipientsSortFieldSchema'
          required: false
          description: Field to sort broadcast recipients by
          name: sort_field
          in: query
        - schema:
            $ref: '#/components/schemas/QueryBroadcastRecipientsSortDirectionSchema'
          required: false
          description: Direction to sort broadcast recipients by
          name: sort_direction
          in: query
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BroadcastRecipientSchema'
components:
  schemas:
    BroadcastRecipientsStatusSchema:
      type: string
      enum:
        - ALL
        - SENDING
        - PROCESSED
      description: The status of the broadcast recipients
    QueryBroadcastRecipientsSortFieldSchema:
      type: string
      enum:
        - created_at
        - updated_at
      description: Field to sort broadcast recipients by
    QueryBroadcastRecipientsSortDirectionSchema:
      type: string
      enum:
        - asc
        - desc
      description: Direction to sort broadcast recipients by
    BroadcastRecipientSchema:
      type: object
      properties:
        id:
          type: string
        broadcast_id:
          type: string
        broadcast_name:
          type: string
        template_id:
          type:
            - string
            - 'null'
        integration_id:
          $ref: '#/components/schemas/ConnectionIntegrationIdSchema'
        contact:
          $ref: '#/components/schemas/ContactSchema'
        user_id:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        username:
          type:
            - string
            - 'null'
        phone:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
        status:
          $ref: '#/components/schemas/BroadcastRecipientStatusSchema'
        source:
          $ref: '#/components/schemas/BroadcastRecipientSourceSchema'
        is_skipped:
          type:
            - boolean
            - 'null'
        is_skipped_at:
          type:
            - string
            - 'null'
          format: date-time
        is_failed:
          type:
            - boolean
            - 'null'
        is_failed_at:
          type:
            - string
            - 'null'
          format: date-time
        is_bounced:
          type:
            - boolean
            - 'null'
        is_bounced_at:
          type:
            - string
            - 'null'
          format: date-time
        is_sent:
          type:
            - boolean
            - 'null'
        is_sent_at:
          type:
            - string
            - 'null'
          format: date-time
        is_delivered:
          type:
            - boolean
            - 'null'
        is_delivered_at:
          type:
            - string
            - 'null'
          format: date-time
        is_complained:
          type:
            - boolean
            - 'null'
        is_complained_at:
          type:
            - string
            - 'null'
          format: date-time
        is_unsubscribed:
          type:
            - boolean
            - 'null'
        is_unsubscribed_at:
          type:
            - string
            - 'null'
          format: date-time
        is_opened:
          type:
            - boolean
            - 'null'
        is_opened_at:
          type:
            - string
            - 'null'
          format: date-time
        is_played:
          type:
            - boolean
            - 'null'
        is_played_at:
          type:
            - string
            - 'null'
          format: date-time
        error_message:
          type:
            - string
            - 'null'
        external_message_id:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - broadcast_id
        - broadcast_name
        - template_id
        - integration_id
        - user_id
        - name
        - username
        - phone
        - email
        - status
        - source
        - is_skipped
        - is_skipped_at
        - is_failed
        - is_failed_at
        - is_bounced
        - is_bounced_at
        - is_sent
        - is_sent_at
        - is_delivered
        - is_delivered_at
        - is_complained
        - is_complained_at
        - is_unsubscribed
        - is_unsubscribed_at
        - is_opened
        - is_opened_at
        - is_played
        - is_played_at
        - error_message
        - external_message_id
        - created_at
        - updated_at
      description: Schema for a broadcast recipient
    ConnectionIntegrationIdSchema:
      type: string
      enum:
        - internal
        - org
        - custom
        - whatsapp_bot
        - messenger_bot
        - instagram_dm
        - tiktok_dm
        - telegram_bot
        - gmail
        - slack_bot
        - twilio
        - telnyx
        - email
      description: ID of the connection integration
    ContactSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type:
            - string
            - 'null'
        blocked:
          type: boolean
        blocked_at:
          type: string
          format: date-time
        unsubscribed:
          type: boolean
        unsubscribed_at:
          type: string
          format: date-time
        unsubscribe_reason:
          type: string
        unsubscribe_feedback:
          type: string
        ai_replies:
          type: boolean
        ai_replies_at:
          type: string
          format: date-time
        is_admin:
          type: boolean
        channels:
          type: array
          items:
            $ref: '#/components/schemas/ContactChannelSchema'
        segments:
          type: array
          items:
            $ref: '#/components/schemas/SegmentLimitedSchema'
        properties:
          type: object
          additionalProperties: {}
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - name
        - blocked
        - unsubscribed
        - ai_replies
        - is_admin
        - channels
        - segments
        - properties
        - created_at
        - updated_at
      description: Schema for the contact
    BroadcastRecipientStatusSchema:
      type: string
      enum:
        - SENDING
        - PROCESSED
      description: The status of the broadcast recipient
    BroadcastRecipientSourceSchema:
      type:
        - string
        - 'null'
      enum:
        - API
        - MANUAL
        - INBOX
        - null
      description: How the recipient was triggered (transactional only)
    ContactChannelSchema:
      type: object
      properties:
        id:
          type: string
        type:
          $ref: '#/components/schemas/ConnectionIntegrationIdSchema'
        user_id:
          type: string
          description: >-
            The unique identifier for the contact channel, e.g Phone Number or
            User ID
        avatar:
          type:
            - string
            - 'null'
          description: The avatar for the contact channel, e.g X Avatar URL
        name:
          type:
            - string
            - 'null'
          description: The name for the contact channel, e.g Full Name
        username:
          type:
            - string
            - 'null'
          description: The username for the contact channel, e.g Username
        email:
          type:
            - string
            - 'null'
          description: The email for the contact channel, e.g Email
        phone:
          type:
            - string
            - 'null'
          description: The phone number for the contact channel, e.g Phone Number
        country:
          type:
            - string
            - 'null'
          description: >-
            The country code associated with the contact channel, e.g US for
            United States
        agent:
          type:
            - string
            - 'null'
          description: The user agent associated with the contact channel
        ip:
          type:
            - string
            - 'null'
          description: The IP address associated with the contact channel
        language:
          type:
            - string
            - 'null'
          description: >-
            The language code associated with the contact channel, e.g en for
            English
        link:
          type: string
          description: >-
            A link to the contact channel, e.g a link to the social media
            profile
        platform_data:
          $ref: '#/components/schemas/ContactChannelPlatformDataSchema'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - type
        - user_id
        - avatar
        - name
        - username
        - email
        - phone
        - country
        - agent
        - ip
        - language
        - platform_data
        - created_at
        - updated_at
      description: Schema for the contact channel
    SegmentLimitedSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        color:
          $ref: '#/components/schemas/ColorNameSchema'
        contacts_count:
          type: number
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - name
        - color
        - contacts_count
        - created_at
        - updated_at
      description: Schema for the segment
    ContactChannelPlatformDataSchema:
      type: object
      properties: {}
      description: Schema for the platform-specific data of a contact channel
    ColorNameSchema:
      type: string
      enum:
        - red
        - orange
        - amber
        - yellow
        - lime
        - green
        - teal
        - cyan
        - sky
        - blue
        - indigo
        - violet
        - purple
        - fuchsia
        - pink
        - rose
        - neutral
      description: The name of the color to use in the UI
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````